%{?drupal7_find_provides_and_requires}

%global module migrate

Name:          drupal7-%{module}
Version:       2.7
Release:       1%{?dist}
Summary:       Import content from external sources

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: drupal7-rpmbuild >= 7.23-3

# phpcompatinfo (computed from version 2.7)
Requires:      php-date
Requires:      php-dom
Requires:      php-json
Requires:      php-libxml
Requires:      php-mcrypt
Requires:      php-pcre
Requires:      php-simplexml
Requires:      php-spl
Requires:      php-xmlreader

%description
The migrate module provides a flexible framework for migrating content into
Drupal from other sources (e.g., when converting a web site from another CMS
to Drupal). Out-of-the-box, support for creating core Drupal objects such as
nodes, users, files, terms, and comments are included - it can easily be
extended for migrating other kinds of content. Content is imported and rolled
back using a bundled web interface (Migrate UI module) or included Drush
commands (strongly recommended [1]).

This package provides the following Drupal modules:
* %{module}
* %{module}_example
* %{module}_example_baseball
* %{module}_example_oracle
* %{module}_ui

[1] https://www.drupal.org/node/1806824


%prep
%setup -qn %{module}

# Docs
mkdir doc
mv BACKPORT.txt CHANGELOG.txt README.txt doc/
mkdir doc/migrate_example_baseball
mv migrate_example_baseball/README.txt doc/migrate_example_baseball/
mkdir doc/tests
mv tests/UNTESTED.txt doc/tests/


%build
# Empty build section, nothing to build


%install
rm -rf %{buildroot}
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc doc/*
%{drupal7_modules}/%{module}
%exclude %{drupal7_modules}/%{module}/doc
%exclude %{drupal7_modules}/%{module}/LICENSE.txt

%changelog
* Fri Feb 27 2015 Shawn Iwinski <shawn.iwinski@gmail.com> - 2.7-1
- Updated to 2.7 (BZ #1191439)
- Removed RPM README b/c it only explained common Drupal workflow
- %%license usage
- Spec cleanup

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-0.2.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Nov 07 2013 Peter Borsa <peter.borsa@gmail.com> - 2.6-0.1.rc1
- Update to upstream 2.6-rc1 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/2029049

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 10 2013 Scott Dodson <sdodson@redhat.com> - 2.5-0
- Update to 2.5

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Mar 25 2012 Scott Dodson <sdodson@redhat.com> - 2.3-1
- Update to upstream version 2.3

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Sep 21 2011 Scott Dodson <sdodson@redhat.com> - 2.2-1
- Initial Drupal 7 packaging
